# Angular Component for Change Users Data
## Only in Users Database of Agrosuper Animal Production Platform

## Required Dependencies for the container component
- Angular
- Sweetalert2
- Bootstrap
- Fontawesome
- Axios
- CryptoJS
- Sha.js

## How to use
### 1. Install the component
`npm i --save password-change@latest`

### 2. Import the component in the Angular Route Modules

### 3. Use the component in the template HTML
Example: `<ppa-user-data-change (successModify)="function" [userData]="object"></ppa-user-data-change>`

Where in (successModify) we must place a function to be executed if the data modification is satisfactory and in [userData], optional parameter, we can autocomplete the user data to modify using the following structure:

`{
    nombre:'',
    apellido:'',
    cargo:'',
    sexo:'',
    usuario:'', // correo
    telefono:'',
    zona:'',
    sector:''
}`

The same object will be returned with the updated data within the $event of (successFunction)

#### Created by Tecnoandina SPA